Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
    • Actions
    • Applications
    • Batch
    • Boards
    • Cards
    • Checklists
    • CustomFields
    • Emoji
    • Enterprises
    • Labels
    • Lists
    • Members
    • Notifications
    • Organizations
    • Plugins
    • Tokens
    • Webhooks
    Cloud
    Trello / Reference / REST API

    Organizations

    Postman Collection
    OpenAPI
    POST

    Create a new Organization

    Create a new Workspace

    write:organization:trello

    Request

    Query parameters

    displayName

    string

    Required
    desc

    string

    name

    string

    website

    string

    Responses

    Success

    application/json

    Organization

    Organization
    POST/organizations
    1 2 3 4 curl --request POST \ --url 'https://api.trello.com/1/organizations?displayName={displayName}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "id": "5abbe4b7ddc1b351ef961414", "name": "<string>", "displayName": "Organization Name", "dateLastActivity": "2018-10-17T19:10:14.808Z", "prefs": { "boardVisibilityRestrict": {}, "boardDeleteRestrict": {}, "attachmentRestrictions": [ "computer" ], "permissionLevel": "private" }, "idEnterprise": "5abbe4b7ddc1b351ef961414", "offering": "trello.enterprise", "url": "https://trello.com/w/<name>", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "memberships": [ "5abbe4b7ddc1b351ef961414" ], "premiumFeatures": [ "<string>" ] }
    GET

    Get an Organization

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    application/json

    Organization
    GET/organizations/{id}
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "id": "5abbe4b7ddc1b351ef961414", "name": "<string>", "displayName": "Organization Name", "dateLastActivity": "2018-10-17T19:10:14.808Z", "prefs": { "boardVisibilityRestrict": {}, "boardDeleteRestrict": {}, "attachmentRestrictions": [ "computer" ], "permissionLevel": "private" }, "idEnterprise": "5abbe4b7ddc1b351ef961414", "offering": "trello.enterprise", "url": "https://trello.com/w/<name>", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "memberships": [ "5abbe4b7ddc1b351ef961414" ], "premiumFeatures": [ "<string>" ] }
    PUT

    Update an Organization

    Update an organization

    read:organization:trello
    ,
    write:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Query parameters

    name

    string

    displayName

    string

    desc

    string

    website

    string

    prefs/associatedDomain

    string

    prefs/externalMembersDisabled

    boolean

    prefs/googleAppsVersion

    integer

    prefs/boardVisibilityRestrict/org

    string

    prefs/boardVisibilityRestrict/private

    string

    prefs/boardVisibilityRestrict/public

    string

    Responses

    Success

    application/json

    Organization
    PUT/organizations/{id}
    1 2 3 4 curl --request PUT \ --url 'https://api.trello.com/1/organizations/{id}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "id": "5abbe4b7ddc1b351ef961414", "name": "<string>", "displayName": "Organization Name", "dateLastActivity": "2018-10-17T19:10:14.808Z", "prefs": { "boardVisibilityRestrict": {}, "boardDeleteRestrict": {}, "attachmentRestrictions": [ "computer" ], "permissionLevel": "private" }, "idEnterprise": "5abbe4b7ddc1b351ef961414", "offering": "trello.enterprise", "url": "https://trello.com/w/<name>", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "memberships": [ "5abbe4b7ddc1b351ef961414" ], "premiumFeatures": [ "<string>" ] }
    DEL

    Delete an Organization

    Delete an Organization

    read:organization:trello
    ,
    write:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    DEL/organizations/{id}
    1 2 3 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}' \ --header 'Authorization: Bearer <access_token>'
    GET

    Get field on Organization

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required
    field

    OrganizationFields

    Required

    Responses

    Success

    application/json

    Organization
    GET/organizations/{id}/{field}
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/{field}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "id": "5abbe4b7ddc1b351ef961414", "name": "<string>", "displayName": "Organization Name", "dateLastActivity": "2018-10-17T19:10:14.808Z", "prefs": { "boardVisibilityRestrict": {}, "boardDeleteRestrict": {}, "attachmentRestrictions": [ "computer" ], "permissionLevel": "private" }, "idEnterprise": "5abbe4b7ddc1b351ef961414", "offering": "trello.enterprise", "url": "https://trello.com/w/<name>", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "memberships": [ "5abbe4b7ddc1b351ef961414" ], "premiumFeatures": [ "<string>" ] }
    GET

    Get Actions for Organization

    List the actions on a Workspace

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    application/json

    array<Action>

    GET/organizations/{id}/actions
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/actions' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 [ { "id": "5abbe4b7ddc1b351ef961414", "idMemberCreator": "5abbe4b7ddc1b351ef961414", "data": { "text": "Can never go wrong with bowie", "card": { "id": "5abbe4b7ddc1b351ef961414", "name": "Bowie", "idShort": 7, "shortLink": "3CsPkqOF" }, "board": { "id": "5abbe4b7ddc1b351ef961414", "name": "Mullets", "shortLink": "3CsPkqOF" }, "list": { "id": "5abbe4b7ddc1b351ef961414", "name": "Amazing" } }, "type": "commentCard", "date": "2020-03-09T19:41:51.396Z", "limits": { "reactions": { "perAction": { "status": "ok", "disableAt": 1000, "warnAt": 900 }, "uniquePerAction": { "status": "ok", "disableAt": 1000, "warnAt": 900 } } }, "display": { "translationKey": "action_comment_on_card", "entities": { "contextOn": { "type": "translatable", "translationKey": "action_on", "hideIfContext": true, "idContext": "5abbe4b7ddc1b351ef961414" }, "card": { "type": "card", "hideIfContext": true, "id": "5abbe4b7ddc1b351ef961414", "shortLink": "3CsPkqOF", "text": "Bowie" }, "comment": { "type": "comment", "text": "Can never go wrong with bowie" }, "memberCreator": { "type": "member", "id": "5abbe4b7ddc1b351ef961414", "username": "bobloblaw", "text": "Bob Loblaw (World)" } } }, "memberCreator": { "id": "5abbe4b7ddc1b351ef961414", "activityBlocked": false, "avatarHash": "db2adf80c2e6c26b76e1f10400eb4c45", "avatarUrl": "https://trello-members.s3.amazonaws.com/5b02e7f4e1facdc393169f9d/db2adf80c2e6c26b76e1f10400eb4c45", "fullName": "Bob Loblaw (Trello)", "idMemberReferrer": "5abbe4b7ddc1b351ef961414", "initials": "BL", "username": "bobloblaw" } } ]
    GET

    Get Boards in an Organization

    List the boards in a Workspace

    read:board:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Query parameters

    filter

    string

    fields

    BoardFields

    Responses

    Success

    application/json

    array<Board>

    GET/organizations/{id}/boards
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/boards' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 [ { "id": "5abbe4b7ddc1b351ef961414", "name": "Trello Platform Changes", "desc": "Track changes to Trello's Platform on this board.", "descData": "<string>", "closed": false, "idMemberCreator": "5abbe4b7ddc1b351ef961414", "idOrganization": "5abbe4b7ddc1b351ef961414", "pinned": false, "url": "https://trello.com/b/dQHqCohZ/trello-platform-changelog", "shortUrl": "https://trello.com/b/dQHqCohZ", "prefs": { "permissionLevel": "org", "hideVotes": true, "voting": "disabled", "comments": "<string>", "selfJoin": true, "cardCovers": true, "isTemplate": true, "cardAging": "pirate", "calendarFeedEnabled": true, "background": "5abbe4b7ddc1b351ef961414", "backgroundImage": "<string>", "backgroundImageScaled": [ { "width": 100, "height": 64, "url": "https://trello-backgrounds.s3.amazonaws.com/SharedBackground/100x64/abc/photo-123.jpg" } ], "backgroundTile": true, "backgroundBrightness": "dark", "backgroundBottomColor": "#1e2e00", "backgroundTopColor": "#ffffff", "canBePublic": true, "canBeEnterprise": true, "canBeOrg": true, "canBePrivate": true, "canInvite": true }, "labelNames": { "green": "Addition", "yellow": "Update", "orange": "Deprecation", "red": "Deletion", "purple": "Power-Ups", "blue": "News", "sky": "Announcement", "lime": "Delight", "pink": "REST API", "black": "Capabilties" }, "limits": { "attachments": { "perBoard": { "status": "ok", "disableAt": 36000, "warnAt": 32400 } } }, "starred": true, "memberships": "<string>", "shortLink": "<string>", "subscribed": true, "powerUps": "<string>", "dateLastActivity": "<string>", "dateLastView": "<string>", "idTags": "<string>", "datePluginDisable": "<string>", "creationMethod": "<string>", "ixUpdate": 2154, "templateGallery": "<string>", "enterpriseOwned": true } ]
    GET

    Retrieve Organization's Exports

    Retrieve the exports that exist for the given organization

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    application/json

    array<Export>

    GET/organizations/{id}/exports
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/exports' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 [ { "id": "5abbe4b7ddc1b351ef961414", "status": { "attempts": 0, "finished": false, "stage": "Export_queued" }, "startedAt": "2019-11-15T16:55:02.000Z", "size": "<string>", "exportUrl": "<string>" } ]
    POST

    Create Export for Organizations

    Kick off CSV export for an organization

    read:organization:trello
    ,
    write:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Query parameters

    attachments

    boolean

    Responses

    Success

    application/json

    Export
    POST/organizations/{id}/exports
    1 2 3 4 curl --request POST \ --url 'https://api.trello.com/1/organizations/{id}/exports' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 { "id": "5abbe4b7ddc1b351ef961414", "status": { "attempts": 0, "finished": false, "stage": "Export_queued" }, "startedAt": "2019-11-15T16:55:02.000Z", "size": "<string>", "exportUrl": "<string>" }
    GET

    Get the Members of an Organization

    List the members in a Workspace

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    application/json

    array<Member>

    GET/organizations/{id}/members
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/members' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 [ { "id": "5abbe4b7ddc1b351ef961414", "activityBlocked": false, "avatarHash": "fc8faaaee46666a4eb8b626c08933e16", "avatarUrl": "https://trello-avatars.s3.amazonaws.com/fc8faaaee46666a4eb8b626c08933e16", "bio": "👋 I'm a developer advocate at Trello!", "bioData": { "emoji": {} }, "confirmed": true, "fullName": "Bentley Cook", "idEnterprise": "5abbe4b7ddc1b351ef961414", "idEnterprisesDeactivated": [ "<string>" ], "idMemberReferrer": "5abbe4b7ddc1b351ef961414", "idPremOrgsAdmin": [ "5abbe4b7ddc1b351ef961414" ], "initials": "BC", "memberType": "normal", "nonPublic": { "fullName": "Bentley Cook", "initials": "BC", "avatarUrl": "https://trello-members.s3.amazonaws.com/5b02e7f4e1facdc393169f9d/db2adf80c2e6c26b76e1f10400eb4c45", "avatarHash": "db2adf80c2e6c26b76e1f10400eb4c45" }, "nonPublicAvailable": false, "products": [ 2154 ], "url": "https://trello.com/bentleycook", "username": "bentleycook", "status": "disconnected", "aaEmail": "<string>", "aaEnrolledDate": "<string>", "aaId": "<string>", "avatarSource": "gravatar", "email": "bcook@atlassian.com", "gravatarHash": "0a1e804f6e35a65ae5e1f7ef4c92471c", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "idOrganizations": [ "5abbe4b7ddc1b351ef961414" ], "idEnterprisesAdmin": [ "5abbe4b7ddc1b351ef961414" ], "limits": { "status": "ok", "disableAt": 36000, "warnAt": 32400 }, "loginTypes": [ "password" ], "marketingOptIn": { "optedIn": false, "date": "2018-04-26T17:03:25.155Z" }, "messagesDismissed": { "name": "ad-security-features", "count": "<string>", "lastDismissed": "2019-03-11T20:19:46.809Z", "_id": "5abbe4b7ddc1b351ef961414" }, "oneTimeMessagesDismissed": [ "<string>" ], "prefs": { "timezoneInfo": { "offsetCurrent": 360, "timezoneCurrent": "CST", "offsetNext": 300, "dateNext": "2020-03-08T08:00:00.000Z", "timezoneNext": "CDT" }, "privacy": { "fullName": "public", "avatar": "public" }, "sendSummaries": true, "minutesBetweenSummaries": 60, "minutesBeforeDeadlineToNotify": 1440, "colorBlind": true, "locale": "en-AU", "timezone": "America/Chicago", "twoFactor": { "enabled": true, "needsNewBackups": false } }, "trophies": [ "<string>" ], "uploadedAvatarHash": "dac3ad49ff117829dd63a79bb2ea3426", "uploadedAvatarUrl": "https://trello-avatars.s3.amazonaws.com/dac3ad49ff117829dd63a79bb2ea3426", "premiumFeatures": [ "<string>" ], "isAaMastered": false, "ixUpdate": 2154, "idBoardsPinned": [ "5abbe4b7ddc1b351ef961414" ] } ]
    PUT

    Update an Organization's Members

    write:organization:membership:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Query parameters

    email

    string

    Required
    fullName

    string

    Required
    type

    string

    Responses

    Success

    PUT/organizations/{id}/members
    1 2 3 curl --request PUT \ --url 'https://api.trello.com/1/organizations/{id}/members?email={email}&fullName={fullName}' \ --header 'Authorization: Bearer <access_token>'
    GET

    Get Memberships of an Organization

    List the memberships of a Workspace

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Query parameters

    filter

    string

    member

    boolean

    Responses

    Success

    application/json

    array<Memberships>

    GET/organizations/{id}/memberships
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/memberships' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 [ { "id": "5abbe4b7ddc1b351ef961414" } ]
    GET

    Get a Membership of an Organization

    Get a single Membership for an Organization

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required
    idMembership

    TrelloID

    Required

    Query parameters

    member

    boolean

    Responses

    Success

    application/json

    Memberships

    Memberships
    GET/organizations/{id}/memberships/{idMembership}
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/memberships/{idMembership}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 { "id": "5abbe4b7ddc1b351ef961414" }
    GET

    Get the pluginData Scoped to Organization

    Get organization scoped pluginData on this Workspace

    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    application/json

    array<PluginData>

    GET/organizations/{id}/pluginData
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/pluginData' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 [ { "id": "5abbe4b7ddc1b351ef961414", "idPlugin": "5abbe4b7ddc1b351ef961414", "scope": "organization", "idModel": "5abbe4b7ddc1b351ef961414", "value": "{\"token\":\"S=s458:U=bda7cda:E=16fd2e21f55:C=1687b30f2c0:P=185:A=it-team-0604:V=2:H=3b0f3bac9c2a2af766202ebb9530a4a5\"}", "access": "private" } ]
    GET

    Get Tags of an Organization

    List the organization's collections

    read:organization:trello

    Request

    Path parameters

    id

    oneOf [string, TrelloID]

    Required

    Responses

    Success

    application/json

    array<Tag>

    GET/organizations/{id}/tags
    1 2 3 4 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/tags' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 [ { "id": "5abbe4b7ddc1b351ef961414", "name": "My Collection" } ]
    POST

    Create a Tag in Organization

    Create a Tag in an Organization

    write:organization:trello

    Request

    Path parameters

    id

    oneOf [string, TrelloID]

    Required

    Responses

    Success

    application/json

    Tag

    Tag
    POST/organizations/{id}/tags
    1 2 3 4 curl --request POST \ --url 'https://api.trello.com/1/organizations/{id}/tags' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 { "id": "5abbe4b7ddc1b351ef961414", "name": "My Collection" }
    PUT

    Update a Member of an Organization

    Add a member to a Workspace or update their member type.

    read:organization:trello
    ,
    write:organization:membership:trello

    Request

    Path parameters

    id

    TrelloID

    Required
    idMember

    oneOf [string, TrelloID]

    Required

    Query parameters

    type

    string

    Required

    Responses

    Success

    application/json

    Member

    Member
    PUT/organizations/{id}/members/{idMember}
    1 2 3 4 curl --request PUT \ --url 'https://api.trello.com/1/organizations/{id}/members/{idMember}?type={type}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 { "id": "5abbe4b7ddc1b351ef961414", "activityBlocked": false, "avatarHash": "fc8faaaee46666a4eb8b626c08933e16", "avatarUrl": "https://trello-avatars.s3.amazonaws.com/fc8faaaee46666a4eb8b626c08933e16", "bio": "👋 I'm a developer advocate at Trello!", "bioData": { "emoji": {} }, "confirmed": true, "fullName": "Bentley Cook", "idEnterprise": "5abbe4b7ddc1b351ef961414", "idEnterprisesDeactivated": [ "<string>" ], "idMemberReferrer": "5abbe4b7ddc1b351ef961414", "idPremOrgsAdmin": [ "5abbe4b7ddc1b351ef961414" ], "initials": "BC", "memberType": "normal", "nonPublic": { "fullName": "Bentley Cook", "initials": "BC", "avatarUrl": "https://trello-members.s3.amazonaws.com/5b02e7f4e1facdc393169f9d/db2adf80c2e6c26b76e1f10400eb4c45", "avatarHash": "db2adf80c2e6c26b76e1f10400eb4c45" }, "nonPublicAvailable": false, "products": [ 2154 ], "url": "https://trello.com/bentleycook", "username": "bentleycook", "status": "disconnected", "aaEmail": "<string>", "aaEnrolledDate": "<string>", "aaId": "<string>", "avatarSource": "gravatar", "email": "bcook@atlassian.com", "gravatarHash": "0a1e804f6e35a65ae5e1f7ef4c92471c", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "idOrganizations": [ "5abbe4b7ddc1b351ef961414" ], "idEnterprisesAdmin": [ "5abbe4b7ddc1b351ef961414" ], "limits": { "status": "ok", "disableAt": 36000, "warnAt": 32400 }, "loginTypes": [ "password" ], "marketingOptIn": { "optedIn": false, "date": "2018-04-26T17:03:25.155Z" }, "messagesDismissed": { "name": "ad-security-features", "count": "<string>", "lastDismissed": "2019-03-11T20:19:46.809Z", "_id": "5abbe4b7ddc1b351ef961414" }, "oneTimeMessagesDismissed": [ "<string>" ], "prefs": { "timezoneInfo": { "offsetCurrent": 360, "timezoneCurrent": "CST", "offsetNext": 300, "dateNext": "2020-03-08T08:00:00.000Z", "timezoneNext": "CDT" }, "privacy": { "fullName": "public", "avatar": "public" }, "sendSummaries": true, "minutesBetweenSummaries": 60, "minutesBeforeDeadlineToNotify": 1440, "colorBlind": true, "locale": "en-AU", "timezone": "America/Chicago", "twoFactor": { "enabled": true, "needsNewBackups": false } }, "trophies": [ "<string>" ], "uploadedAvatarHash": "dac3ad49ff117829dd63a79bb2ea3426", "uploadedAvatarUrl": "https://trello-avatars.s3.amazonaws.com/dac3ad49ff117829dd63a79bb2ea3426", "premiumFeatures": [ "<string>" ], "isAaMastered": false, "ixUpdate": 2154, "idBoardsPinned": [ "5abbe4b7ddc1b351ef961414" ] }
    DEL

    Remove a Member from an Organization

    Remove a member from a Workspace

    write:organization:membership:trello

    Request

    Path parameters

    id

    oneOf [TrelloID, string]

    Required
    idMember

    TrelloID

    Required

    Responses

    Success

    DEL/organizations/{id}/members/{idMember}
    1 2 3 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}/members/{idMember}' \ --header 'Authorization: Bearer <access_token>'
    PUT

    Deactivate or reactivate a member of an Organization

    Deactivate or reactivate a member of a Workspace

    read:organization:trello
    ,
    write:organization:membership:trello

    Request

    Path parameters

    id

    TrelloID

    Required
    idMember

    oneOf [TrelloID, string]

    Required

    Query parameters

    value

    boolean

    Required

    Responses

    Success

    PUT/organizations/{id}/members/{idMember}/deactivated
    1 2 3 curl --request PUT \ --url 'https://api.trello.com/1/organizations/{id}/members/{idMember}/deactivated?value={value}' \ --header 'Authorization: Bearer <access_token>'
    POST

    Update logo for an Organization

    Set the logo image for a Workspace

    read:organization:trello
    ,
    write:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Query parameters

    file

    string

    Responses

    Success

    application/json

    Organization

    Organization
    POST/organizations/{id}/logo
    1 2 3 4 curl --request POST \ --url 'https://api.trello.com/1/organizations/{id}/logo' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 { "id": "5abbe4b7ddc1b351ef961414", "name": "<string>", "displayName": "Organization Name", "dateLastActivity": "2018-10-17T19:10:14.808Z", "prefs": { "boardVisibilityRestrict": {}, "boardDeleteRestrict": {}, "attachmentRestrictions": [ "computer" ], "permissionLevel": "private" }, "idEnterprise": "5abbe4b7ddc1b351ef961414", "offering": "trello.enterprise", "url": "https://trello.com/w/<name>", "idBoards": [ "5abbe4b7ddc1b351ef961414" ], "memberships": [ "5abbe4b7ddc1b351ef961414" ], "premiumFeatures": [ "<string>" ] }
    DEL

    Delete Logo for Organization

    Delete a the logo from a Workspace

    read:organization:trello
    ,
    write:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    DEL/organizations/{id}/logo
    1 2 3 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}/logo' \ --header 'Authorization: Bearer <access_token>'
    DEL

    Remove a Member from an Organization and all Organization Boards

    Remove a member from a Workspace and from all Workspace boards

    read:organization:trello
    ,
    write:organization:membership:trello

    Request

    Path parameters

    id

    TrelloID

    Required
    idMember

    TrelloID

    Required

    Responses

    Success

    DEL/organizations/{id}/members/{idMember}/all
    1 2 3 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}/members/{idMember}/all' \ --header 'Authorization: Bearer <access_token>'
    DEL

    Remove the associated Google Apps domain from a Workspace

    Remove the associated Google Apps domain from a Workspace

    Forge and OAuth2 apps cannot access this REST resource.

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    DEL/organizations/{id}/prefs/associatedDomain
    1 2 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}/prefs/associatedDomain?key=APIKey&token=APIToken'
    DEL

    Delete the email domain restriction on who can be invited to the Workspace

    Remove the email domain restriction on who can be invited to the Workspace

    read:organization:trello
    ,
    write:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required

    Responses

    Success

    DEL/organizations/{id}/prefs/orgInviteRestrict
    1 2 3 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}/prefs/orgInviteRestrict' \ --header 'Authorization: Bearer <access_token>'
    DEL

    Delete an Organization's Tag

    Delete an organization's tag

    write:organization:trello

    Request

    Path parameters

    id

    string

    Required
    idTag

    string

    Required

    Responses

    Success

    DEL/organizations/{id}/tags/{idTag}
    1 2 3 curl --request DELETE \ --url 'https://api.trello.com/1/organizations/{id}/tags/{idTag}' \ --header 'Authorization: Bearer <access_token>'
    GET

    Get Organizations new billable guests

    Used to check whether the given board has new billable guests on it.

    read:board:trello
    ,
    read:organization:trello

    Request

    Path parameters

    id

    TrelloID

    Required
    idBoard

    TrelloID

    Required

    Responses

    Success

    GET/organizations/{id}/newBillableGuests/{idBoard}
    1 2 3 curl --request GET \ --url 'https://api.trello.com/1/organizations/{id}/newBillableGuests/{idBoard}' \ --header 'Authorization: Bearer <access_token>'

    Rate this page: